function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("OpenEdge Replication User Guide","0");
A=P.fN("Preface ","1");
var B=A.fN("Purpose","1#wp120766");
B=A.fN("Audience","1#wp120769");
B=A.fN("Organization","1#wp120772");
B=A.fN("Using this manual","1#wp125968");
B=A.fN("Typographical conventions","1#wp124483");
B=A.fN("Examples of syntax descriptions","1#wp120948");
B=A.fN("OpenEdge messages","1#wp121544");
A=P.fN("Overview of OpenEdge Replication","2#wp636177");
B=A.fN("What is OpenEdge Replication","3");
var C=B.fN("Primary benefits","4");
C=B.fN("Key features","5");
B=A.fN("OpenEdge Replication terminology and architecture","6");
C=B.fN("Primary and secondary databases","7");
C=B.fN("Source and target databases","8");
C=B.fN("OpenEdge Replication property files","9");
C=B.fN("Source and target architecture requirements","10");
C=B.fN("OpenEdge Replication server","11");
C=B.fN("OpenEdge Replication agent","12");
B=A.fN("Using synchronous or asynchronous replication","13");
B=A.fN("OpenEdge Replication failure processing","14");
C=B.fN("Synchronization","15");
C=B.fN("Server failure recovery","16");
C=B.fN("Agent failure recovery","17");
B=A.fN("Special database considerations","18");
C=B.fN("Database integrity","19");
C=B.fN("Database availability","20");
C=B.fN("Enhanced Read-Only mode","21");
C=B.fN("Schema lock","22");
C=B.fN("Forced truncation of the source database before-image file","23");
C=B.fN("Target quiet points","24");
A=P.fN("Planning for OpenEdge Replication","25#wp623416");
B=A.fN("Preliminary planning tasks","26");
C=B.fN("Creating a database backup plan","27");
C=B.fN("Evaluating your production database","28");
B=A.fN("OpenEdge Replication and after-imaging","29");
C=B.fN("After-image extents","30");
C=B.fN("Calculating current after-image volume","31");
B=A.fN("Replication and after-image extents","32");
B=A.fN("After-image extent sizing on a source database","33");
C=B.fN("Calculating fixed after-image extent size","34");
C=B.fN("Using variable extents","35");
B=A.fN("Determining OpenEdge Replication network bandwidth","36");
C=B.fN("Estimating network bandwidth","37");
C=B.fN("Anticipating additional network overhead","38");
C=B.fN("Additional references","39");
B=A.fN("Additional business considerations","40");
C=B.fN("Latency","41");
C=B.fN("Acceptable target database downtime","42");
C=B.fN("Appropriate failover behavior","43");
C=B.fN("Limitations and restrictions","44");
C=B.fN("Ensuring success when using after-imaging","45");
B=A.fN("OpenEdge Replication and after-imaging: a summary","46");
A=P.fN("Implementing OpenEdge Replication","47#wp716273");
B=A.fN("Choosing the implementation method","48");
C=B.fN("Using the default implementation","49");
C=B.fN("Using the deferred agent startup implementation","50");
B=A.fN("Setting up the source database for OpenEdge Replication","51");
C=B.fN("Setting up the source database (offline backup)","52");
C=B.fN("Setting up the source database (online backup)","53");
B=A.fN("Setting up the target database","54");
B=A.fN("Configuring the OpenEdge Replication property files","55");
C=B.fN("Configuring the source database property file","56");
C=B.fN("Configuring the target database property file","57");
B=A.fN("Starting OpenEdge Replication","58");
B=A.fN("Starting the source database","59");
C=B.fN("Starting the target database","60");
C=B.fN("Message logging during startup","61");
B=A.fN("Restoring source and target databases","62");
B=A.fN("OpenEdge Replication startup and initialization process","63");
B=A.fN("Database connection considerations","64");
B=A.fN("Database access once OpenEdge Replication is running","65");
C=B.fN("Target database access","66");
C=B.fN("Source database access","67");
B=A.fN("Stopping OpenEdge Replication","68");
C=B.fN("Shutting down the source database","69");
C=B.fN("Shutting down the target database","70");
C=B.fN("Shutting down the OpenEdge Replication server","71");
C=B.fN("Terminating the OpenEdge Replication agent","72");
C=B.fN("Emptying AI extents on the source database","73");
B=A.fN("Latency reporting","74");
C=B.fN("OpenEdge Replication server perspective","75");
C=B.fN("OpenEdge Replication agent perspective","76");
B=A.fN("OpenEdge Replication utilities and commands","77");
B=A.fN("Normal OpenEdge Replication activity","78");
C=B.fN("Normal source database activity","79");
C=B.fN("Normal target database activity","80");
B=A.fN("Choosing a hot standby database","81");
B=A.fN("Handling OpenEdge Replication failure conditions","82");
C=B.fN("Database crash","83");
C=B.fN("Lost connection","84");
B=A.fN("Transitioning to the target database","85");
C=B.fN("Configuring transition","86");
C=B.fN("Transition processing","87");
C=B.fN("Manually applying after-image extents","88");
C=B.fN("Re-enabling OpenEdge Replication after transition","89");
A=P.fN("OpenEdge Replication: From Failure to Recovery","90#wp635256");
B=A.fN("Overview of database failure recovery","91");
C=B.fN("OpenEdge Replication failure recovery terminology","92");
C=B.fN("The OpenEdge Replication property files","93");
B=A.fN("Transition","94");
C=B.fN("Enhancements to transition functionality","95");
C=B.fN("Planning for transition","96");
B=A.fN("How OpenEdge Replication works","97");
C=B.fN("Step 1: Primary replication before a failure","98");
C=B.fN("Step 2: Primary machine failure","99");
C=B.fN("Step 3: Entering pretransition","100");
C=B.fN("Step 4: Transitioning the target database to a source database","101");
C=B.fN("Step 5: Failover","102");
C=B.fN("Step 6: Primary machine repair complete","103");
C=B.fN("Step 7: Initiating primary database transition","104");
C=B.fN("Step 8: Secondary replication is performed","105");
C=B.fN("Step 9: The Replication failback process","106");
B=A.fN("Recovery from transition failures","107");
B=A.fN("Transition logging","108");
B=A.fN("Transition properties","109");
C=B.fN("Setting transition properties","110");
B=A.fN("Sample startup parameter file","111");
C=B.fN("Source database startup parameter file","112");
C=B.fN("Target database startup parameter file","113");
C=B.fN("Normal database startup parameter file","114");
B=A.fN("Reference","115");
C=B.fN("Transition command actions","116");
C=B.fN("Transition properties summary","117");
A=P.fN("Reference","118#wp619004");
B=A.fN("OpenEdge Replication property files","119");
C=B.fN("Sample OpenEdge Replication source properties file","120");
C=B.fN("Sample OpenEdge Replication target properties file","121");
C=B.fN("Sample OpenEdge Replication combined properties file","122");
B=A.fN("OpenEdge Replication properties","123");
C=B.fN("Server properties","124");
C=B.fN("Control agent properties","125");
C=B.fN("Agent properties","126");
B=A.fN("DSRUTIL utility","127");
B=A.fN("DSRUTIL applyextent qualifier","128");
B=A.fN("DSRUTIL canceldefer server qualifier","129");
B=A.fN("DSRUTIL connectagent database qualifier","130");
B=A.fN("DSRUTIL disablesitereplication qualifier","131");
B=A.fN("DSRUTIL monitor qualifier","132");
B=A.fN("DSRUTIL recovery qualifier","133");
B=A.fN("DSRUTIL relwaits qualifier","134");
B=A.fN("DSRUTIL restart server qualifier","135");
B=A.fN("DSRUTIL startagent database qualifier","136");
B=A.fN("DSRUTIL status qualifier","137");
C=B.fN("When the detail argument is not used","138");
B=A.fN("DSRUTIL terminate qualifier","139");
B=A.fN("DSRUTIL transition qualifier","140");
B=A.fN("DSRUTIL triggertransition qualifier","141");
B=A.fN("OpenEdge Replication DSRUTIL MONITOR","142");
C=B.fN("Startup menu","143");
C=B.fN("Replication server status","144");
C=B.fN("Replication server remote agents","145");
C=B.fN("Replication remote agents status","146");
C=B.fN("Replication agent status","147");
B=A.fN("Virtual system tables for OpenEdge Replication","148");
C=B.fN("Virtual system table field descriptions","149");
B=A.fN("Utilities and OpenEdge Replication","150");
B=A.fN("Starting OpenEdge Replication with the Progress Explorer and dbman","151");
B=A.fN("OpenEdge Replication and database management systems","152");
A=P.fN("OpenEdge Replication Quick Command Summary","153#wp623758");
B=A.fN("Configuring the OpenEdge Replication properties files","154");
B=A.fN("Setting up the source and target databases","155");
B=A.fN("Configuring OpenEdge Replication with deferred agent startup","156");
B=A.fN("Configuring OpenEdge Replication for one agent","157");
B=A.fN("Configuring OpenEdge Replication for two agents","158");
B=A.fN("Starting OpenEdge Replication","159");
B=A.fN("Stopping OpenEdge Replication","160");
B=A.fN("Terminating the OpenEdge Replication server and agent","161");
B=A.fN("Configuring for automatic transition","162");
B=A.fN("Configuring for manual transition","163");
B=A.fN("Using manual transition","164");
B=A.fN("Re-enabling OpenEdge Replication after transition","165");
B=A.fN("Restarting OpenEdge Replication Server after target shutdown","166");
B=A.fN("Monitoring an OpenEdge Replication database","167");
}
